# GenAgent Utilities

A Python package providing utilities for generative agent tasks, including:
- Interacting with LLM providers (OpenAI, Anthropic).
- Helper functions for prompt engineering and structured output.
- Basic agent memory and chat session management.

## Installation

```bash
pip install genagent
```

(Once it's on PyPI)

## Usage

```python
# Example usage (customize based on your library's API)
# from genagent import gen, Agent, ChatSession

# response = gen("Tell me a joke.")
# print(response)

# my_agent = Agent(name="MyTestAgent")
# my_agent.add_memory("The sky is blue.")
# print(my_agent.retrieve_memories("What color is the sky?"))
```

Please update this README with more specific instructions and examples for your package.

## Development

To install for development:

```bash
cd llm-utils
pip install -e .
```

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
